Home > Uncategorized > Usando o Qemu+Kqemu ( Update )

Usando o Qemu+Kqemu ( Update )

Aproveitando o anúncio do meu big bró Licio Fernando, atualizei o script do Qemu e do Kqemu para instalar as novas versões dos respectivos aplicativos.

Para baixar a nova versão do script Clique aqui
Para baixar a nova versão do gerenciador gráfico Clique aqui

E como disse meu amigo Licio…. Adeus VMware!!!!!


Interessado em aprender mais sobre o Ubuntu em português? Comece aqui!

Categories: Uncategorized Tags:
  1. Rafael
    02/06/2007 at 6:01 PM

    Eae véio, blz de script… mas infelizmente não está funcionando.

    quando executo sudo ./install_qemu-v2.1.sh ele reclama que tenho que rodar como root

    O mesmo acontece se eu rodar o script dentro de uma sessão logado como root

  2. Daryos
    02/06/2007 at 6:08 PM

    Sem querer ser chato… mas ja sendo… sera que sai um turorial? huahauhua

  3. Eliezer
    02/06/2007 at 8:13 PM

    Olá amigo, estou encontrando problemas para rodar seu script:

    lee@ubuntu-desktop:~$ cd Desktop/
    lee@ubuntu-desktop:~/Desktop$ sh install_qemu-v2.1.sh
    -ne \E[31m
    ERROR: You must run this script as root!
    lee@ubuntu-desktop:~/Desktop$ sudo sh install_qemu-v2.1.sh
    -ne \E[31m
    ERROR: You must run this script as root!

  4. 02/06/2007 at 9:30 PM

    Amigos,

    Verifiquei que o erro está ocorrendo em todas as versões do script, incluive a original.
    Estou verificando o problema e quando estiver corrigido lancarei um novo post.

    Sds,

  5. 02/06/2007 at 9:51 PM

    Que versão do Ubuntu vocês estão usando?

    Sds,

    Alex

  6. Eliezer
    02/06/2007 at 10:42 PM

    Eu uso o Ubuntu 6.10 Edgy
    ‘:)

  7. 02/10/2007 at 5:26 PM

    o mesmo problema aconteçe comigo, não roda nem com root…

  8. Achilles
    02/17/2007 at 4:26 PM

    Utilizando o 6.06

  9. Sphink
    02/19/2007 at 10:09 PM

    Mudem de #!/bin/sh para #!/bin/bash
    Ou rodem usando sudo bash install_qemu-v2.1.sh

  10. Sphink
    02/19/2007 at 10:47 PM

    Fiz outras alterações no script para que ele funcione:

    Variáveis no começo do script
    KQEMU=1.3.0pre11
    CVS_QEMU=`date +%Y-%m-%d_05`
    BASE_URL=http://qemu-forum.ipi.fi/qemu-snapshots
    CVS_BASE_URL=http://qemu-forum.ipi.fi/qemu-snapshots

    Eu uso um kernel generic, não tinha essa opção, mas o mais lógico é usar o uname -r direto no apt-get install, coloquei essa opção num else, ali, mas pode ser deixado assim sem problemas:

    ## DETECT KERNEL — DOWNLOAD PROPER HEADERS ##
    cecho “blue” “Installing Kernel Headers ($(uname -r))…”
    apt-get -y –force-yes install linux-headers-$(uname -r) || error “Unable to Install Kernel Headers.”

    E neste if:
    cecho “blue” “Extracting QEMU…”
    if [ “$CVS” = “yes” ]; then

    Ficou faltando fechar, coloque um fi no final, Deixando assim:
    cecho “blue” “Extracting QEMU…”
    if [ “$CVS” = “yes” ]; then
    # tar -zxvf qemu-${QEMU}.tar.gz || error “Unable to extract QEMU.”
    # cd qemu-${QEMU} || error “Unable to enter QEMU directory.”
    tar -jxvf qemu-snapshot-${CVS_QEMU}.tar.bz2 || error “Unable to extract QEMU.”
    cd qemu-snapshot-${CVS_QEMU} || error “Unable to enter QEMU directory.”
    fi

    Aqui também deu erro em
    mknod /dev/kqemu c 250 0 || error “Unable to Create the KQEMU Device…”
    Dizendo que já existia, no meu caso, eu arranquei isso fora.

    Espero que ajude.

  11. 03/02/2007 at 4:01 PM

    Eu consegui rodar usando apenas:
    $ sudo bash ./install_qemu-v2.1.sh

  12. Paula
    04/21/2007 at 10:46 PM

    No meu caso nao consegui ao rodar o script da o seguinte erro
    WARNING: could not find /tmp/build-qemu/kqemu/.kqemu-mod.o.cmd for /tmp/build-qemu/kqemu/kqemu-mod.o
    CC /tmp/build-qemu/kqemu/kqemu.mod.o
    LD [M] /tmp/build-qemu/kqemu/kqemu.ko
    make[1]: Saindo do diretório `/usr/src/linux-headers-2.6.17-11-386′
    Installing KQEMU…
    Loading KQEMU Module…
    mknod: `/dev/kqemu’: O arquivo já existe
    ERROR: Unable to Create the KQEMU Device…

    o que devo fazer?

  13. 08/25/2008 at 3:49 AM

    0oGood idea.4n I compleatly disagree with last post . gfi
    паркет и ламинат 5m

  1. No trackbacks yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: